PKCS11H_PROMPT_MASK
pkcs11-helper core interface

Prompt mask selection. . More...

## Macros

#define | PKCS11H_PROMPT_MASK_ALLOW_PIN_PROMPT (1<<0)
#define | PKCS11H_PROMPT_MASK_ALLOW_TOKEN_PROMPT (1<<1)
#define | PKCS11H_PROMPT_MASK_ALLOW_KEY_PROMPT (1<<2)
#define | PKCS11H_PROMPT_MASK_ALLOW_ALL

## Detailed Description

Prompt mask selection. .

## Macro Definition Documentation

## PKCS11H_PROMPT_MASK_ALLOW_ALL

#define PKCS11H_PROMPT_MASK_ALLOW_ALL

Value:
( \
PKCS11H_PROMPT_MASK_ALLOW_PIN_PROMPT | \
PKCS11H_PROMPT_MASK_ALLOW_TOKEN_PROMPT | \
PKCS11H_PROMPT_MASK_ALLOW_KEY_PROMPT | \
0 \
)
PKCS11H_PROMPT_MASK_ALLOW_TOKEN_PROMPT
#define PKCS11H_PROMPT_MASK_ALLOW_TOKEN_PROMPT
Definition pkcs11h-core.h:180
PKCS11H_PROMPT_MASK_ALLOW_PIN_PROMPT
#define PKCS11H_PROMPT_MASK_ALLOW_PIN_PROMPT
Definition pkcs11h-core.h:178
PKCS11H_PROMPT_MASK_ALLOW_KEY_PROMPT
#define PKCS11H_PROMPT_MASK_ALLOW_KEY_PROMPT
Definition pkcs11h-core.h:182

Allow all prompt.

Examples
  test-certificate.c.

## PKCS11H_PROMPT_MASK_ALLOW_KEY_PROMPT

#define PKCS11H_PROMPT_MASK_ALLOW_KEY_PROMPT (1<<2)

Allow key prompt.

## PKCS11H_PROMPT_MASK_ALLOW_PIN_PROMPT

#define PKCS11H_PROMPT_MASK_ALLOW_PIN_PROMPT (1<<0)

Allow PIN prompt.

## PKCS11H_PROMPT_MASK_ALLOW_TOKEN_PROMPT

#define PKCS11H_PROMPT_MASK_ALLOW_TOKEN_PROMPT (1<<1)

Allow token prompt.

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |